#!/bin/sh 
#
# This should be done at initial booting after installation.
#
export LANG=C

if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

APACI_DIR=$ROOT/opt/apache
PHP4_DIR=$ROOT/opt/php4


if ! fgrep "LoadModule gssapi_auth_module" $APACI_DIR/conf/httpd.conf 1> /dev/null 2>&1; then
  $APACI_DIR/bin/apxs -e -a -n gssapi_auth $APACI_DIR/libexec/mod_auth_gssapi.so
  mv $APACI_DIR/conf/httpd.conf $APACI_DIR/conf/httpd.conf~
  sed -e 's/mod_gssapi_auth.c/mod_auth_gssapi.c/' $APACI_DIR/conf/httpd.conf~ > $APACI_DIR/conf/httpd.conf
fi

chown www:apache $APACI_DIR/libexec/mod_auth_gssapi.so  $APACI_DIR/conf/httpd.conf-auth_gssapi.add

if ! fgrep "Added by Plamo Linux mod_auth_gssapi" $APACI_DIR/conf/httpd.conf 1> /dev/null 2>&1; then
  cat >> $APACI_DIR/conf/httpd.conf<<__ADDCONF

# Added by Plamo Linux mod_auth_gssapi package installer
#<IfModule mod_auth_gssapi.c>
#    Include conf/httpd.conf-auth_gssapi.add
#</IfModule>
__ADDCONF
fi

if [ "$ROOT" = "" ]; then
  $APACI_DIR/bin/apachectl stop
  sleep 1
  $APACI_DIR/bin/apachectl startssl
fi
